View Issue Details

IDProjectCategoryView StatusLast Update
0000261FreeCADBugpublic2011-02-26 18:01
ReporterunauthenticatedAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.11 
Summary0000261: awesome undo feature
DescriptionI found the easter egg :)

Double clicking on circle, arc or regular polygon icon undo the last step

(pressing the Esc key after that will undo another step)

FreeCAD_0.11.3987_x86_unstable_setup.msi
TagsNo tags attached.

Activities

wmayer

2011-02-10 12:58

administrator   ~0000587

I cannot confirm the double undo but there is a problem with the undo for custom objects because they loose the python proxy objects.

unauthenticated

2011-02-10 15:33

viewer   ~0000590

So when you start FreeCAD and draw lets say three rectangles and after that double click on the circle button there is nothing undone?
If I double click on the circle button (also arc, polygon) it has the same effect as I would click on the undo button or pressing Ctrl+Z.

unauthenticated

2011-02-10 22:12

viewer   ~0000595

Here is a screencapture: http://rapidshare.com/files/447271441/doubleclick.ogg

yorik

2011-02-11 13:05

administrator   ~0000603

hm indeed I see the problem too... funny ;)
I'll solve that ASAP, double-clicking an icon is not supposed to undo stuff!

About real undoing custom python objects, undoing works fine, but indeed redoing them doesn't work.

yorik

2011-02-11 13:12

administrator   ~0000604

fixed in r4038

unauthenticated

2011-02-26 17:55

viewer   ~0000651

Seems like this behavior was only fixed for the arc and circle button but not for the regular polygon icon/button.

FreeCAD_0.11.4134_x86_RC_bin.7z

yorik

2011-02-26 18:01

administrator   ~0000652

oops, indeed... seems I forgot one :)
fixed in r4144 now. If something's still missing. please reopen!

Issue History

Date Modified Username Field Change
2011-02-10 10:57 unauthenticated New Issue
2011-02-10 12:58 wmayer Note Added: 0000587
2011-02-10 12:58 wmayer Assigned To => wmayer
2011-02-10 12:58 wmayer Status new => assigned
2011-02-10 15:33 unauthenticated Note Added: 0000590
2011-02-10 22:12 unauthenticated Note Added: 0000595
2011-02-10 23:36 wmayer Assigned To wmayer => yorik
2011-02-11 13:05 yorik Note Added: 0000603
2011-02-11 13:12 yorik Note Added: 0000604
2011-02-11 13:12 yorik Status assigned => closed
2011-02-11 13:12 yorik Resolution open => fixed
2011-02-11 13:12 yorik Fixed in Version => 0.12
2011-02-26 17:55 unauthenticated Note Added: 0000651
2011-02-26 17:55 unauthenticated Status closed => feedback
2011-02-26 17:55 unauthenticated Resolution fixed => reopened
2011-02-26 18:01 yorik Note Added: 0000652
2011-02-26 18:01 yorik Status feedback => closed
2011-02-26 18:01 yorik Resolution reopened => fixed
2011-02-26 18:01 yorik Fixed in Version 0.12 => 0.11